<?php

declare(strict_types=1);

namespace App\Enum\Core;

use App\Enum\EnumMethodsTrait;

/**
 * Type de notifications.
 */
enum NotificationTypeEnum: string
{
    use EnumMethodsTrait;

    case SYSTEM = 'SYSTEM';
    case FILE = 'FILE';
    case MESSAGE = 'MESSAGE';
    case PRINTING = 'PRINTING';
    case ERROR = 'ERROR';
}
